See 
<https://builds.apache.org/job/Mesos-Docker-CentOS/75/display/redirect?page=changes>

Changes:

[songzihao1990] Explicitly marked functions `override` in cgroup subsystems.

[songzihao1990] Renamed cgroups subsystem processes.

[songzihao1990] Introduced wrapper for access to cgroups system access.

[songzihao1990] Added MESOS-8786 to 1.6.1 CHANGELOG.

[songzihao1990] Added MESOS-8786 to 1.5.1 CHANGELOG.

[songzihao1990] Added MESOS-8786 to 1.4.2 CHANGELOG.

[songzihao1990] Added MESOS-8786 to 1.3.3 CHANGELOG.

[songzihao1990] Added MESOS-8624 to 1.5.1 CHANGELOG.

[songzihao1990] Added MESOS-8741 to 1.5.1 CHANGELOG.

[songzihao1990] Removed 1.5.1 CHANGELOG's WIP.

[zhitaoli.cs] Removed unnecessary expectation on termination.

[chhsiao] Made `UriDiskProfileAdaptor` be able to update profile selectors.

[chhsiao] Added MESOS-8906 to the 1.6.1 CHANGELOG.

[chhsiao] Added MESOS-8906 to the 1.5.2 CHANGELOG.

------------------------------------------
Started by timer
[EnvInject] - Loading node environment variables.
Building remotely on H22 (ubuntu xenial) in workspace 
<https://builds.apache.org/job/Mesos-Docker-CentOS/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url 
 > https://git-wip-us.apache.org/repos/asf/mesos.git # timeout=10
Fetching upstream changes from https://git-wip-us.apache.org/repos/asf/mesos.git
 > git --version # timeout=10
 > git fetch --tags --progress 
 > https://git-wip-us.apache.org/repos/asf/mesos.git 
 > +refs/heads/*:refs/remotes/origin/*
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision e181f26b6e1cb579b41813a619f68e3ed4b207ce (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f e181f26b6e1cb579b41813a619f68e3ed4b207ce
Commit message: "Added MESOS-8906 to the 1.5.2 CHANGELOG."
 > git rev-list --no-walk 77279f0256d12edc8208dfd96a88fea205bde8a4 # timeout=10
 > git tag -a -f -m Jenkins Build #75 jenkins-Mesos-Docker-CentOS-75 # 
 > timeout=10
[EnvInject] - Executing scripts and injecting environment variables after the 
SCM step.
[EnvInject] - Injecting as environment variables the properties content 
USERNAME=mesosdockerbot

[EnvInject] - Variables injected successfully.
[EnvInject] - Mask passwords that will be passed as build parameters.
[Mesos-Docker-CentOS] $ /bin/bash -xe /tmp/jenkins1557850965452596645.sh
+ ./support/jenkins/docker-centos.sh

# This script build and push Docker image that has Mesos distro
# installed (based on CentOS).

CURRENT_DIR="$(cd "$(dirname "$0")"; pwd -P)"
cd "$(dirname "$0")"; pwd -P
dirname "$0"
SUPPORT_DIR="${CURRENT_DIR}/.."

: ${USERNAME:?"Environment variable 'USERNAME' must be set to the username of 
the 'Mesos DockerBot' Docker hub account."}
: ${PASSWORD:?"Environment variable 'PASSWORD' must be set to the password of 
the 'Mesos DockerBot' Docker hub account."}

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING:-"mesos/mesos-centos-packaging"}
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
DOCKER_IMAGE_TAG=`date +%F`
date +%F

function cleanup {
  docker rmi $(docker images -q ${DOCKER_IMAGE_PACKAGING}:${DOCKER_IMAGE_TAG}) 
|| true
  docker rmi $(docker images -q ${DOCKER_IMAGE_DISTRO}:${DOCKER_IMAGE_TAG}) || 
true
}

trap cleanup EXIT

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING} \
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO} \
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG} \
"${SUPPORT_DIR}/packaging/centos/build-docker-image.sh"

# This script builds a CentOS based docker image with Mesos installed
# using the current head of the source tree.

CENTOS_DIR="$(cd "$(dirname "$0")"; pwd -P)"
cd "$(dirname "$0")"; pwd -P
dirname "$0"
SOURCE_DIR="$(cd ${CENTOS_DIR}/../../..; pwd -P)"
cd ${CENTOS_DIR}/../../..; pwd -P

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING:-"mesos/mesos-centos-packaging"}
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG:-"latest"}

if ! [ -x "$(command -v docker)" ]; then
  echo 'Error: docker is not installed.' >&2
  exit 1
fi
command -v docker

if [ -d "${SOURCE_DIR}/centos7" ]; then
  echo "Please cleanup 'centos7' under your Mesos source directory"
  exit 1
fi
Please cleanup 'centos7' under your Mesos source directory
cleanup
docker images -q ${DOCKER_IMAGE_PACKAGING}:${DOCKER_IMAGE_TAG}
"docker rmi" requires at least 1 argument(s).
See 'docker rmi --help'.

Usage:  docker rmi [OPTIONS] IMAGE [IMAGE...]

Remove one or more images
docker images -q ${DOCKER_IMAGE_DISTRO}:${DOCKER_IMAGE_TAG}
"docker rmi" requires at least 1 argument(s).
See 'docker rmi --help'.

Usage:  docker rmi [OPTIONS] IMAGE [IMAGE...]

Remove one or more images
Build step 'Execute shell' marked build as failure

Reply via email to